Subject: [PATCH] ARM: OMAP2+: gpmc-smsc911x: add required smsc911x regulators

From: [email-masked] (Tony Lindgren)
Date: Tue, 21 Feb 2012 10:46:48 -0800

* Mark Brown <[email-masked]> [120213 10:27]:
> On Mon, Feb 13, 2012 at 10:14:10AM -0800, Tony Lindgren wrote:
> > * Russell King - ARM Linux <[email-masked]> [120213 09:31]:
> > > On Mon, Feb 13, 2012 at 09:52:34AM -0800, Tony Lindgren wrote:
> 
> > > > Can't we just leave out the .id and have it automatically assigned?
> 
> It'd be nice but...
> 
> > > Unfortunately, there's no such infrastructure in the driver model.
> 
> > Hmm OK, -1 seems to be just used for name in platform_device_add().
> 
> -1 is a valid ID also, it means "there's only one of these things so
> don't display a number".  Which is sad but there we are.  I'm at ELC/ABS
> so I might try and find Greg in person here to see if we can come up
> with something better, it seems like this is something the core ought to
> be able to help with in much the same way that the USB stuff can.

Matt, care to refresh your original patch using some other number so
we can apply it as a regression fix for the -rc series while the
long term solution is being discussed?

Just use some random number for now with a comment, 42?

Regards,

Tony